Bug 487472 - ld segmentation fault
ld segmentation fault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
13
x86_64 Linux
low Severity urgent
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-26 03:11 EST by Pavel Alexeev
Modified: 2011-07-11 07:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:06:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Alexeev 2009-02-26 03:11:33 EST
Please see details in fedora-devel-list disscusion - https://www.redhat.com/archives/fedora-devel-list/2009-February/msg01921.html

Bug easy reproduced, you may just rebuild rpm - http://koji.fedoraproject.org/koji/taskinfo?taskID=1172197 for x86_64 architecture.
Comment 1 Nick Clifton 2009-03-06 06:54:49 EST
Hi Pavel,

  Does this problem still happen with the latest rawhide binutils ?

  I tried to reproduce the seg-fault but failed.  If it does still happen, please could you put together a small stand-alone test case to reproduce the problem ?  (Preferably one that just invokes the linker directly rather than using g++ as it is very hard to debug program compilations that get transformed by the collect2 utility).

Cheers
  Nick
Comment 2 Pavel Alexeev 2009-03-06 07:19:33 EST
Yes, failt still here.
May be you tried rebuild of recent version of fotoxx? Please, keep in mind, what really error was - I try link x86_64 programm with 32 static libriry. BUT, in any case, there error report expected, but segmentation fault got!

So, recent package fixed, in any case, but error still always reproducable:
I'm run:
koji build --scratch dist-f11 cvs://cvs.fedoraproject.org/cvs/pkgs?rpms/fotoxx/devel#fotoxx-6_0-2_fc11
( http://koji.fedoraproject.org/koji/taskinfo?taskID=1226429 )
and it fails exactly in the same way, please see log: http://koji.fedoraproject.org/koji/getfile?taskID=1226434&name=build.log

Unfortunately I can't make small test, I'm not so familar with subject. Sorry.
Comment 3 cje 2009-04-16 12:11:59 EDT
can you give it another go now?  i've been getting a similar-looking error trying to build x86_64 glibc in bug 473445 but it seems to be working today.  not really sure what's changed though.  i'm building from f10.
Comment 4 Pavel Alexeev 2009-04-19 04:26:34 EDT
No, this segmentation fault still 100% reproducible on x86_64 platform: http://koji.fedoraproject.org/koji/taskinfo?taskID=1307699
Comment 5 Bug Zapper 2009-06-09 07:39:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Nick Clifton 2010-01-28 12:54:36 EST
Hi Pavel,

  I tried building the 8.0.2 fotoxx source rpm again today (on an x86_64 host with F12 installed and with only the i586 version of the freeimage-devel rpm present) and it failed to seg-fault.  The linker did indicate that it could not use the libfreeimage.so library but it did not seg-fault.

  Can you still reproduce the problem on your own system ?

Cheers
  Nick
Comment 7 Pavel Alexeev 2010-01-29 03:22:02 EST
(In reply to comment #6)
> Hi Pavel,
> 
>   I tried building the 8.0.2
Nick, yes, 8.0 package fixed!!! Please, see https://bugzilla.redhat.com/show_bug.cgi?id=487472#c2 .

And yes, it still fully reproducable: http://koji.fedoraproject.org/koji/taskinfo?taskID=1951274 ( http://koji.fedoraproject.org/koji/getfile?taskID=1951277&name=build.log )
Comment 8 Nick Clifton 2010-01-29 11:14:44 EST
Hi Pavel.

  *sigh* I still cannot reproduce this problem.

  I could not find a 6.0.2 fotoxx source rpm.  I did find a 6.0.3 one though and I tried building it on my 64-bit Fedora 11 system - it failed as expected, but the linker did not seg-fault.  I even tried backing out patch2 (which I assume is what differentiates 6.0.2 from 6.0.3) and the linker still failed to seg-fault.

  Unless you can find some other way for me to reproduce the linker seg-fault I do not think that I am going to be able to diagnose and fix the problem. :-(

Cheers
  Nick
Comment 9 Pavel Alexeev 2010-01-29 13:42:17 EST
A your member of provenpackager or sponsor group? Can you just run command:
koji build --scratch dist-f11 cvs://cvs.fedoraproject.org/cvs/pkgs?rpms/fotoxx/devel#fotoxx-6_0-2_fc11
?
If not, I can provide src.rpm for it.
Comment 10 Nick Clifton 2010-02-02 08:50:55 EST
Hi Pavel,

  Thanks - that was the pointer that I needed.  I have now been able to reproduce the bug and I have created a patch which fixes the problem.  Please could you try using the latest rawhide binutils to confirm whether the binutils-2.20.51.0.2-14.fc13 release does actually fix the problem.

Cheers
  Nick
Comment 11 Pavel Alexeev 2010-02-03 15:58:44 EST
Thank you for the attention.

I think as test I can only try build thus source in rawhide. But it what you also can do.
Comment 12 Bug Zapper 2010-04-27 09:03:23 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Pavel Alexeev 2010-04-27 14:38:54 EDT
Nothing changed for this long time. Problem still always reproduced on Fedora 13 too: http://koji.fedoraproject.org/koji/taskinfo?taskID=2141747
Comment 14 Bug Zapper 2011-06-02 14:14:24 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Bug Zapper 2011-06-27 10:06:57 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 16 Pavel Alexeev 2011-07-01 15:42:55 EDT
Anyone even looked that?? Bad trend.
Comment 17 Jan Kratochvil 2011-07-07 04:16:05 EDT
tar tvzf fotoxx-6.0.tar.gz |grep freeima
-rw-r--r-- mico/mico   4468942 2009-02-22 11:32 fotoxx/libfreeimage.a

Linking with foreign binaries is not well supported I would think.
fotoxx-10.11.1-8.fc15.x86_64 builds fine.
Comment 18 Pavel Alexeev 2011-07-11 07:47:26 EDT
Is not well supported should not mean segfault. Just error with correct message will be good fix.

Note You need to log in before you can comment on or make changes to this bug.